## Addenda for "Intro to Spark" lectures at Stanford ICME
2014-08-14, @pacoid

Most of the slides were already posted by Reza. However, the section
on Thursday about leveraging semigroup structure and approximation
algorithms came from an O'Reilly Media book in progress, [Just Enough
Math](http://justenoughmath.com). Excerpts for those slides are in 
the `ICME_jem.pdf` deck, with code examples in the
`lesson01_show_me_the_monoid.ipynb` and
`lesson02_prob_data_struct.ipynb` IPython notebooks.

The demo for the
[TextRank](http://www.cse.unt.edu/~rada/papers/mihalcea.emnlp04.pdf)
algorithm in PySpark is available in a GitHub
[gist](https://gist.github.com/ceteri/5c0bec69b0bce9480886).

An earlier version (for Hadoop) is available at
[https://github.com/ceteri/textrank/](https://github.com/ceteri/textrank/),
which shows annotating the graph constructed from the input text by
using semantic relations from WordNet -- will add that to the Spark
example in an IPython notebook.
